Redmine - Defect #11616

Incompatible character encodings with wiki link that contain UTF-8 characters
2012-08-09 22:54 - Dmitry Zamula

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 2.0.3
Description

There is a problems in wiki pages, if the wiki link is constructed by UTF-8 characters, such as Russian, the linked wiki page will result
in error 500.

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

2:

3: <h2><%= h @page.pretty_title %></h2>

4:

5: <%= form_for @content, :as => :content,

6: :url => {:action => 'update’, :id => @page.title},

7: :html => {imethod => :put, :multipart => true, :id => 'wiki_form'} do |f| %>

8: <%= f.hidden_field :version %>
app/views/wiki/edit.html.erb:5:in *_app_views_wiki_edit_html_erb_3358986498583751398_54298060'
app/controllers/wiki_controller.rb:62:in “show'

History

#1 - 2012-08-09 22:57 - Dmitry Zamula

Environment:

Redmine version 2.0.3.stable

Ruby version 1.9.3 (x86_64-linux)
Rails version 3.2.6

Environment production
Database adapter MySQL

Redmine plugins:
no plugin installed

#2 - 2012-08-09 23:24 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Please use the mysql2 adapter with ruby1.9.

2025-06-14 1/1



http://www.tcpdf.org

